<?php
/***
 *----------------------------------------------------------------------------*
 * 版权所有 2010-2016 HuCart.COM，并保留所有权利。
 * 此程序是HuCart的一部分。  
 * 根据MIT许可证授权(在软件和软件的所有副本中都必须包含版权声明和许可声明。)
 * 官方网址:http://www.hucart.com
 *
 * 对于完整的版权和许可证信息，请参阅MIT-LICENSE.TXT
 * 程序的再发布必须保留以上版权声明。
 *
 *@author pgmk<pgmk@hucart.com>
 *@copyright pgmk<pgmk@hucart.com>
 *@link http://www.hucart.com
 *@license The MIT License.
 *----------------------------------------------------------------------------*
**/
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Order  extends HC_Controller
{
	private $prs_key_val = array();
	function __construct()
	{
		parent::__construct();
		$this -> load_db();
		$this -> load_lang('www/order');
		$this -> load('helper');     	 	//加载辅助类
		$this -> load_model('ads'); 		//加载模型
		$this -> load_model('web_config'); 	//加载模型
		$web_config = $this -> web_config_mod -> get_sys_config();
		$this -> set_view_dir( $web_config['temp'] -> dir );
		$this -> view -> assign('web_config', $web_config);


		$this -> view -> assign('menu_info',$this -> web_config_mod -> get_web_menu());
		$this -> view -> assign('ads_info', $this -> ads_mod -> get_ads( '1,2,3,4,5,6,7,8,9,10,11'  ));
		$this -> view -> assign('user_link',$this -> session -> get_user_link( $this->lang['user_link'] ));

		$this -> load_model('personal'); //加载模型
		
		$this -> load_model('pro_sort'); //加载产品分类模型
		//只能查询一次分类数据
		$prs_info  		= $this -> pro_sort_mod -> get_sort();

		//生成分类ID对应值
		$this -> prs_key_val 	= $this -> helper -> mapped_key_value( $prs_info , $key_index = 'prs_id');
	
		//生成分类选择控件
		$prs_list_str = $this -> helper -> build_list_str( $prs_info , $object_name = 'prs_id', $object_id = 'prs_id' , $object_val_str = 'prs_id', $object_txt_str = 'prs_name', $prs_id  ,$lang_txt = $this-> lang['prs_sort_list'] );
		
		$this -> view -> assign('prs_list_str',$prs_list_str);

		$contact_arr =  $this -> helper -> build_contact( $web_config );
		$this -> view -> assign('contact_arr',$contact_arr );

	}
	

	function info_list()
	{
	
 
	}
	
	function add()
	{
            var_dump($_REQUEST);
            $pro_id = $this->input->abbr_get('pro_id');
            $num = $this->input->abbr_get('num');
            //查询数据库是否存在数据
            $sql_num = "SELECT $num FROM WHERE pro_id = ".;
            
            $this -> load('cart');
            $item_data = array(
            'id'      => 'sku_123ABC',
            'num'     => 1,
            'price'   => 39.95,
            'name'    => 'T-Shirt',
            'opts' 	  => array('Size' => 'L', 'Color' => 'Red')
                );
            $this -> cart -> add_item( $item_data );
            
            var_dump($_SESSION);
            
                
	}
	
	function act_default()
	{
 
	}	

}
